Create Insight Template
Creates a new insight template defining an analysis to run over conversations, and returns the created template.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const insightTemplateDetail = await client.ai.conversations.insights.create({
instructions: 'instructions',
name: 'name',
});
console.log(insightTemplateDetail.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
insight_template_detail = client.ai.conversations.insights.create(
instructions="instructions",
name="name",
)
print(insight_template_detail.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
insightTemplateDetail, err := client.AI.Conversations.Insights.New(context.TODO(), telnyx.AIConversationInsightNewParams{
Instructions: "instructions",
Name: "name",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", insightTemplateDetail.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insights.InsightCreateParams;
import com.telnyx.sdk.models.ai.conversations.insights.InsightTemplateDetail;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightCreateParams params = InsightCreateParams.builder()
.instructions("instructions")
.name("name")
.build();
InsightTemplateDetail insightTemplateDetail = client.ai().conversations().insights().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
insight_template_detail = telnyx.ai.conversations.insights.create(instructions: "instructions", name: "name")
puts(insight_template_detail)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$insightTemplateDetail = $client->ai->conversations->insights->create(
instructions: 'instructions',
name: 'name',
jsonSchema: 'string',
webhook: 'webhook',
);
var_dump($insightTemplateDetail);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insights create \
--api-key 'My API Key' \
--instructions instructions \
--name namecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "Instructions",
"name": "Name",
"webhook": "",
"json_schema": "string"
}
'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"instructions": "Instructions",
"created_at": "2024-01-23T18:10:02.574Z",
"insight_type": "custom",
"name": "",
"webhook": "",
"json_schema": "string"
}
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "10036",
"title": "Resource is being processed",
"detail": "A request with this Idempotency-Key is already being processed.",
"source": {
"pointer": "/header/Idempotency-Key"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional opaque, unquoted key for safely retrying the same logical request. Keys must contain 1 to 255 letters, numbers, hyphens, or underscores. Generate a unique UUID v4 for each operation and reuse it only when retrying that operation with the same request. Invalid headers—including duplicate, empty, malformed, or overlong values—return 400 with error code 10015. A request already in progress with the same key returns 409; reusing the key with a different request returns 422. Only successful responses are replayed, for up to 24 hours. Do not include sensitive data in the key.
1 - 255^[A-Za-z0-9_-]{1,255}$Body
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const insightTemplateDetail = await client.ai.conversations.insights.create({
instructions: 'instructions',
name: 'name',
});
console.log(insightTemplateDetail.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
insight_template_detail = client.ai.conversations.insights.create(
instructions="instructions",
name="name",
)
print(insight_template_detail.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
insightTemplateDetail, err := client.AI.Conversations.Insights.New(context.TODO(), telnyx.AIConversationInsightNewParams{
Instructions: "instructions",
Name: "name",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", insightTemplateDetail.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insights.InsightCreateParams;
import com.telnyx.sdk.models.ai.conversations.insights.InsightTemplateDetail;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightCreateParams params = InsightCreateParams.builder()
.instructions("instructions")
.name("name")
.build();
InsightTemplateDetail insightTemplateDetail = client.ai().conversations().insights().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
insight_template_detail = telnyx.ai.conversations.insights.create(instructions: "instructions", name: "name")
puts(insight_template_detail)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$insightTemplateDetail = $client->ai->conversations->insights->create(
instructions: 'instructions',
name: 'name',
jsonSchema: 'string',
webhook: 'webhook',
);
var_dump($insightTemplateDetail);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insights create \
--api-key 'My API Key' \
--instructions instructions \
--name namecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "Instructions",
"name": "Name",
"webhook": "",
"json_schema": "string"
}
'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"instructions": "Instructions",
"created_at": "2024-01-23T18:10:02.574Z",
"insight_type": "custom",
"name": "",
"webhook": "",
"json_schema": "string"
}
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "10036",
"title": "Resource is being processed",
"detail": "A request with this Idempotency-Key is already being processed.",
"source": {
"pointer": "/header/Idempotency-Key"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}